Subject: Re: [PATCH] bonding: send IPv6 neighbor advertisement on failover

From: Vlad Yasevich <[email-masked]>
Date: Wed, 08 Oct 2008 15:12:21 -0400

Hi David

David Stevens wrote:
> Well, actually, it looks like I'm suggesting you to re-use something that 
> doesn't
> exist. :-)
> 
> MLD (and IGMP) has such a thing where unsolicited advertisements are sent
> multiple times, with delays in between, to account for lossy networks 
> possibly
> dropping the first one. There are configurable counts associated with 
> probes
> and retransmit intervals for solicits, but I don't see the equivalent yet 
> for
> unsolicited NA's.
> 
> So, instead, what I suggest is that you add (or find!) THAT knob, instead 
> of a
> bonding-specific one. Because adding an address that wasn't there before
> has identical issues with unsolicited NA's as bonding has with activating 
> a
> new address.

Adding a new address triggers a DAD probe which is enough to let the switch
learn the MAC address.  It's a different scenario for a link failover in
bonding.  Also, adding a new address will automatically trigger and MLD response
if a corresponding solicited node multicast address is added.

So the bonding case is rather different from everything else we've had so far.

-vlad

> The default should probably be 1, but if you ever need to
> send multiple unsolicited NA's for bonding, you probably also need it for
> adding a normal address on the same network. dad_transmits is similar,
> but not really the same thing.
> 
>                                                         +-DLS